Subject: Re: [PATCH 1/2] Fix kexec on powerpc32

From: Michael Ellerman <[email-masked]>
Date: Thu, 13 May 2010 21:50:32 +1000

On Thu, 2010-05-13 at 04:19 -0700, Christian Kujau wrote:
> On Wed, 12 May 2010 at 00:22, Christian Kujau wrote:
> > # kexec -e
> > Starting new kernel
> > Bye!
> > 
> > ....but then the system just hung there, no more messages, I had to
> > powercycle it.
> 
> Are there any debug flags (or kernel options?) I can set, to find out why 
> it hangs here? Or does kexec not understand zImages?

Not really. There's extra debugging on some systems (with a hypervisor
console). I think you're on 32-bit, which means I don't really know what
I'm talking about, but I don't think zImage works - use vmlinux.

cheers